<%@ Control Language="c#" AutoEventWireup="false" CodeBehind="UMS_MappingTemplates.ascx.cs"
    Inherits="DNNMasters.UMS.UI.UserControls.UMS_MappingTemplates" %>
<%@ Register TagPrefix="dnn" Namespace="DotNetNuke.UI.WebControls" Assembly="DotNetNuke" %>
<%@ Register TagPrefix="dnn" TagName="Label" Src="~/controls/LabelControl.ascx" %>
<link href="module.css" type="text/css" rel="stylesheet">
<asp:UpdatePanel ID="UpdatePanel1" runat="server" ChildrenAsTriggers="False" UpdateMode="Conditional">
    <contenttemplate>

    <asp:Panel ID="_pnlMappingTemplatesList" runat="server">
        <table>
            <tr>
                <td>
                    <asp:ListBox ID="_lbxMappingTemplates" runat="server" CssClass="Normal" Height="150" Width="150"
                        DataTextField="Text" DataValueField="Value" />
                </td>
                <td>
                    <dnn:commandbutton id="_cmdNewMappingTemplate" runat="server" resourcekey="_cmdNewMappingTemplate"
                        CssClass="CommandButton" imageurl="~/images/add.gif" /><br /><br />
                    <dnn:commandbutton id="_cmdDeleteMappingTemplate" runat="server" resourcekey="_cmdDeleteMappingTemplate"
                        CssClass="CommandButton" imageurl="~/images/delete.gif" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    
    <asp:Panel ID="_pnlMappingTemplateEdit" runat="server" Visible="false" >
        <table border="0">
            <tr>
                <td>
                    <dnn:label id="lblPortals" runat="server" cssclass="NormalBold" Suffix=":" />
                </td>
                <td>
                    <asp:DropDownList ID="_ddlPortals" runat="server" Width="250px" AutoPostBack="True" />
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:label id="lblImportModes" runat="server" cssclass="NormalBold" Suffix=":" />
                </td>
                <td>
                    <asp:CheckBoxList ID="_cblImportModes" runat="server" CssClass="Normal" AutoPostBack="true" RepeatDirection="Horizontal">
                        <asp:ListItem Value="U" Text="Users" resourcekey="itemUsers" Selected="True"></asp:ListItem>
                        <asp:ListItem Value="R" Text="Roles" resourcekey="itemRoles"></asp:ListItem>
                        <asp:ListItem Value="UR" Text="User Roles" resourcekey="itemUsersRoles"></asp:ListItem>
                    </asp:CheckBoxList>
                </td>
            </tr>
            <tr>
                <td>
                    <dnn:label id="lblReadFirst" runat="server" cssclass="NormalBold" Suffix=":" />
                </td>
                <td>
                    <asp:CheckBox ID="_chkReadFirst" CssClass="Normal" runat="server" />
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:FileUpload ID="_fuMappingFile" runat="server" CssClass="Normal" />
                    <asp:LinkButton ID="_lnkStoreFields" resourcekey="_lnkStoreFields" CssClass="Normal" runat="server" />
                    <asp:CustomValidator ID="_valInvalidFile" runat="server" resourcekey="_valInvalidFile.ErrorMessage" Display="Dynamic" />
                </td>
            </tr>
            <tr>
                <td colspan="2">
                    <table>
                        <tr>
                            <td valign="top">
                                <table id="_tblBasicUserData" runat="server">
                                    <tr>
                                        <td width="150">
                                            UserID
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapUserId" runat="server" CssClass="Normal" Width="150" />
                                        </td>
                                        <td rowspan="6">
                                            <asp:DataList runat="server" id="_dlMapProperties" CssClass="Normal" DataKeyField="PropertyName">
                                              <ItemTemplate>
                                                <tr>
                                                    <td width="150">
                                                        <%# DataBinder.Eval(Container.DataItem, "PropertyName")%>
                                                    </td>
                                                    <td>
                                                        <asp:DropDownList ID="_ddlMapField" runat="server" CssClass="Normal" Width="150" />
                                                        <asp:Label ID="lblReq" runat="server" Visible="false" Text="*" ForeColor="Red" />
                                                    </td>
                                                </tr>
                                              </ItemTemplate>
                                            </asp:DataList>
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="150">
                                            UserName
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapUserName" runat="server" CssClass="Normal" Width="150" />
                                            <asp:Label ID="_lblReq1" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="150">
                                            Email
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapEmail" runat="server" CssClass="Normal" Width="150" />
                                            <asp:Label ID="_lblReq2" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="150">
                                            DisplayName
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapDisplayName" runat="server" CssClass="Normal" Width="150" />
                                            <asp:Label ID="_lblReq3" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td width="150" valign="top">
                                            Password
                                        </td>
                                        <td valign="top">
                                            <asp:DropDownList ID="_ddlMapPassword" runat="server" CssClass="Normal" Width="150" />
                                            <asp:Label ID="_lblReqPass" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                                        </td>
                                    </tr>
                                    <tr>
                                        <td colspan="2" valign="top">
                                            <table id="_tblUserRoles" runat="server" visible="false">
                                                <tr>
                                                    <td>
                                                        <asp:DataList runat="server" id="_dlMapUserRoles" CssClass="Normal">
                                                          <ItemTemplate>
                                                            <tr>
                                                                <td width="150">
                                                                    Role Name
                                                                </td>
                                                                <td>
                                                                    <asp:DropDownList ID="_ddlMapUserRole" runat="server" CssClass="Normal" Width="150" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td width="150">
                                                                    Effective Date
                                                                </td>
                                                                <td>
                                                                    <asp:DropDownList ID="_ddlEffectiveDate" runat="server" CssClass="Normal" Width="150" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td width="150">
                                                                    Expiry Date
                                                                </td>
                                                                <td>
                                                                    <asp:DropDownList ID="_ddlExpiryDate" runat="server" CssClass="Normal" Width="150" />
                                                                </td>
                                                            </tr>
                                                            <tr>
                                                                <td colspan="2"><hr /></td>
                                                            </tr>
                                                          </ItemTemplate>
                                                        </asp:DataList>
                                                        <DNN:commandbutton id="_cmdNewUserRole" runat="server" resourcekey="_cmdNewUserRole"
                                                            CssClass="CommandButton" imageurl="~/images/add.gif" />
                                                    </td>
                                                </tr>
                                            </table>
                                        </td>
                                    </tr>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="2">
                                <table id="_tblRoleData" runat="server" visible="false">
                                    <tr>
                                        <td width="150">
                                            RoleId
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapRoleId" runat="server" CssClass="Normal" Width="150" />
                                        </td>    
                                    </tr>
                                    <tr>
                                        <td width="150">
                                            RoleName
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapRoleName" runat="server" CssClass="Normal" Width="150" />
                                            <asp:Label ID="_lblReqRoleName" runat="server" CssClass="Normal" Text="*" ForeColor="Red" />
                                        </td>    
                                    </tr>
                                    <tr>
                                        <td width="150">
                                            RoleDesc
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapRoleDesc" runat="server" CssClass="Normal" Width="150" />
                                        </td>    
                                    </tr>
                                    <tr>
                                        <td width="150">
                                            IsPublic
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapRoleIsPublic" runat="server" CssClass="Normal" Width="150" />
                                        </td>    
                                    </tr>
                                    
                                    <tr>
                                        <td width="150">
                                            AutoAssignment
                                        </td>
                                        <td>
                                            <asp:DropDownList ID="_ddlMapRoleAutoAssignment" runat="server" CssClass="Normal" Width="150" />
                                        </td>    
                                    </tr>
                                </table>
                            </td>
                        </tr>
                    </table>
                </td>
            </tr>
            <tr>
                <td align="center" colspan="2">
                    <asp:CustomValidator ID="_valTemplate" runat="server" resourcekey="_valTemplate.ErrorMessage" Display="Dynamic" />
                    <asp:TextBox ID="_txbTemplateName" CssClass="NormalTextBox" Width="150" runat="server" />
                    <asp:LinkButton ID="_lnkSaveTemplate" resourcekey="_lnkSaveTemplate" CssClass="Normal" runat="server" />
                </td>
            </tr>
        </table>
    </asp:Panel>
    
  </contenttemplate>
    <triggers>
    <asp:AsyncPostBackTrigger ControlID="_ddlPortals" EventName="SelectedIndexChanged" />
    <asp:AsyncPostBackTrigger ControlID="_cmdNewMappingTemplate" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_cmdDeleteMappingTemplate" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_cmdNewUserRole" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_lnkSaveTemplate" EventName="Click" />
    <asp:AsyncPostBackTrigger ControlID="_cblImportModes" EventName="SelectedIndexChanged" />
  </triggers>
</asp:UpdatePanel>
<asp:UpdateProgress ID="UpdateProgress1" runat="server" AssociatedUpdatePanelID="UpdatePanel1">
    <progresstemplate>
        <div align="center">
            <asp:Image ID="imgLoader" ImageUrl="~/DesktopModules/DNNMasters.UMS/images/ajax-loader.gif" runat="server" ImageAlign="Middle" />
        </div>
    </progresstemplate>
</asp:UpdateProgress>